MCP Tools Reference: ces.googleapis.com

工具:delete_tool

删除指定的工具。

以下示例演示了如何使用 curl 调用 delete_tool MCP 工具。

Curl 请求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_tool",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

AgentService.DeleteTool 的请求消息。

DeleteToolRequest

JSON 表示法
{
  "name": string,
  "force": boolean,
  "etag": string
}
字段
name

string

必需。要删除的工具的资源名称。

force

boolean

可选。指示是否强制删除工具,即使该工具仍被代理/示例引用也是如此。

  • 如果值为 force = false,则当任何代理仍引用该工具时,删除操作将失败。
  • 如果选择 force = true,系统将移除代理的所有现有引用,并删除该工具。
etag

string

可选。工具的当前 etag。如果未提供 etag,删除操作将覆盖任何并发更改。如果提供的 etag 与工具的当前 etag 不匹配,删除操作将被阻止并返回 ABORTED 错误。

输出架构

一种通用的空消息,您可以重复使用它,以避免在 API 中定义重复的空消息。一个典型示例是将其用作 API 方法的请求或响应类型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具注释

破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌